Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infinispan.schematic.internal.schema
Interface Validator

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  JsonSchemaValidatorFactory.AllItemsMatchValidator, JsonSchemaValidatorFactory.AllowedPropertiesValidator, JsonSchemaValidatorFactory.CompositeValidator, JsonSchemaValidatorFactory.DisallowedTypesValidator, JsonSchemaValidatorFactory.DivisibleByValidator, JsonSchemaValidatorFactory.EachItemMatchesValidator, JsonSchemaValidatorFactory.EnumValidator, JsonSchemaValidatorFactory.ExclusiveMaximumValidator, JsonSchemaValidatorFactory.ExclusiveMinimumValidator, JsonSchemaValidatorFactory.ItemCountValidator, JsonSchemaValidatorFactory.MaximumItemsValidator, JsonSchemaValidatorFactory.MaximumLengthValidator, JsonSchemaValidatorFactory.MaximumValidator, JsonSchemaValidatorFactory.MinimumItemsValidator, JsonSchemaValidatorFactory.MinimumLengthValidator, JsonSchemaValidatorFactory.MinimumValidator, JsonSchemaValidatorFactory.NoOtherAllowedPropertiesValidator, JsonSchemaValidatorFactory.NotValidValidator, JsonSchemaValidatorFactory.NumericValidator, JsonSchemaValidatorFactory.PatternPropertyValidator, JsonSchemaValidatorFactory.PatternValidator, JsonSchemaValidatorFactory.PropertyValidator, JsonSchemaValidatorFactory.RequiredValidator, JsonSchemaValidatorFactory.ResolvingValidator, JsonSchemaValidatorFactory.TypeValidator, JsonSchemaValidatorFactory.UnionValidator, JsonSchemaValidatorFactory.UniqueItemsValidator

    @Immutable
    public interface Validator

extends Serializable

Nested Class Summary
`static interface` | `Validator.Factory`
`static interface` | `Validator.SchemaDocumentResolver`

Method Summary
`void` | `validate(Object fieldValue, String fieldName, Document document, Path pathToDocument, Problems problems, Validator.SchemaDocumentResolver resolver)` Validate a portion of the supplied document.

Method Detail

### validate

    void validate(Object fieldValue,
                  String fieldName,
                  Document document,
                  Path pathToDocument,
                  Problems problems,
                  Validator.SchemaDocumentResolver resolver)

  Validate a portion of the supplied document.

  Parameters:
    `fieldValue` - the field value to be validated; may be null
    `fieldName` - the field name to be validated; may be null if the field value is not known or the validator is to validate the document
    `document` - the document; never null
    `pathToDocument` - the path to the supplied document; never null but may be a zero-length path if the document is the top-level document
    `problems` - the problems where any errors or warnings should be recorded; never null
    `resolver` - the component that can be used to resolve references to other schema documents

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.